import * as __WEBPACK_EXTERNAL_MODULE_react__ from "react";
/** React hook for localStorage
 * From https://usehooks.com/useLocalStorage/
 */ function useLocalStorage(key, initialValue) {
    // State to store our value
    // Pass initial state function to useState so logic is only executed once
    const [storedValue, setStoredValue] = (0, __WEBPACK_EXTERNAL_MODULE_react__.useState)(()=>{
        if ('undefined' == typeof window) return initialValue;
        try {
            // Get from local storage by key
            const item = window.localStorage.getItem(key);
            // Parse stored json or if none return initialValue
            return item ? JSON.parse(item) : initialValue;
        } catch (error) {
            // If error also return initialValue
            console.log(error);
            return initialValue;
        }
    });
    // Return a wrapped version of useState's setter function that ...
    // ... persists the new value to localStorage.
    const setValue = (value)=>{
        try {
            // Allow value to be a function so we have same API as useState
            const valueToStore = value instanceof Function ? value(storedValue) : value;
            // Save state
            setStoredValue(valueToStore);
            // Save to local storage
            window.localStorage.setItem(key, JSON.stringify(valueToStore));
        } catch (error) {
            // A more advanced implementation would handle the error case
            console.log(error);
        }
    };
    return [
        storedValue,
        setValue
    ];
}
/* ESM default export */ const useLocalStorage_rslib_entry_ = useLocalStorage;
export { useLocalStorage_rslib_entry_ as default };
